//+------------------------------------------------------------------+
//|                                                       Moving.mq5 |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//---   ---
#include <moving.mqh>
//--- ---
input int MA_RED_PERIOD=7; //   
input int MA_YEL_PERIOD=2; //   
input int STOP_LOSS=800;   // 
input int TRAL_STOP=800;   // 
input double LOTS=0.1;     // 
//--- ---
my_expert expert;
//---  MqlDataTime---
MqlDateTime time;
int day_of_week;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- 
   expert.get_periods(MA_RED_PERIOD,MA_YEL_PERIOD);   //   
   expert.get_lot(LOTS);                              //  
   expert.get_stops(STOP_LOSS,TRAL_STOP);             //  -  
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   TimeToStruct(TimeCurrent(),time);
   day_of_week=time.day_of_week;
   if(PositionsTotal()<1)
     {
      if(day_of_week==5 && expert.check_for_buy()==true){expert.open_buy();}
      else if(day_of_week==1 && expert.check_for_sell()==true){expert.open_sell();}
     }
   else expert.position_modify();
  }
//+------------------------------------------------------------------+
